Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class AbstractFilter

    java.lang.Object
      com.compoze.domino.AbstractFilter

Direct Known Subclasses:
  ContactFilter, MemoFilter, TaskFilter

public abstract class AbstractFilter
extends java.lang.Object

This class provides an implementation for a filter. Standard behaviors like the setting rules for fields are defined here. The developer need only subclass this abstract class and define the `getFormRule` method.

Field Summary
`protected java.util.Map` | `m_filters`
`protected java.util.Hashtable` | `m_rules`

Constructor Summary
`AbstractFilter()`

Method Summary
`protected com.compoze.domino.filter.IOperatorFilterRule` | `getBaseRule()` Gets the base rule using the or'd setting.
`protected com.compoze.domino.filter.IFilterRule` | `getFilterRule()`
`protected com.compoze.domino.filter.IFilterRule` | `getFilterRule(boolean bIncludeForm)`
`protected abstract com.compoze.domino.filter.IFilterRule` | `getFormRule()` Gets the form rule for this filter.
`boolean` | `getOr()` Gets not property.
`protected void` | `setBeginsStringRule(java.lang.String field, java.lang.String sBeginsString)` Sets the begins string rule.
`protected void` | `setDateRule(java.lang.String field, java.util.Date givenDate, int index)` Sets the date rule rule.
`protected void` | `setNotRule(java.lang.String field, int[] values)` Sets the rule.
`void` | `setOr(boolean bOr)` Sets not property.
`protected void` | `setRule(java.lang.String field, java.util.Date givenDate)` Sets the rule.
`protected void` | `setRule(java.lang.String field, int[] values)` Sets the rule.
`protected void` | `setRule(java.lang.String field, java.lang.String[] values, boolean bExact)` Sets the rule.
`java.lang.String` | `toRule()`
`java.lang.String` | `toString()`
`protected void` | `unsetBeginsStringRule(java.lang.String field)` Unsets the begins string rule.
`protected void` | `unsetNotRule(java.lang.String field)` Unsets the not rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_rules

    protected java.util.Hashtable m_rules

### m_filters

    protected java.util.Map m_filters

Constructor Detail

### AbstractFilter

    public AbstractFilter()

Method Detail

### setOr

    public void setOr(boolean bOr)

  Sets not property. If `or` is specified then the restriction values are or'd instead of and'd to specify the filter.

  Parameters:
    `bOr` - if `true`, filter is or'd

### getOr

    public boolean getOr()

  Gets not property. If `or` is specified then the restriction values are or'd instead of and'd to specify the filter.

  Returns:
    the or property, if `true`, filter is or'd

### getBaseRule

    protected com.compoze.domino.filter.IOperatorFilterRule getBaseRule()

  Gets the base rule using the or'd setting.

  Returns:
    the base rule

### setRule

    protected void setRule(java.lang.String field,
                           java.lang.String[] values,
                           boolean bExact)

  Sets the rule.

  Parameters:
    `field` - the field
    `values` - the values to test
    `bExact` - `true` for an exact match of the values; `false` otherwise

### setRule

    protected void setRule(java.lang.String field,
                           int[] values)

  Sets the rule.

  Parameters:
    `field` - the field
    `values` - the values to test

### setNotRule

    protected void setNotRule(java.lang.String field,
                              int[] values)

  Sets the rule.

  Parameters:
    `field` - the field
    `values` - the values to test for 'not'

### unsetNotRule

    protected void unsetNotRule(java.lang.String field)

  Unsets the not rule.

  Parameters:
    `field` - the field

### setRule

    protected void setRule(java.lang.String field,
                           java.util.Date givenDate)

  Sets the rule.

  Parameters:
    `field` - the field
    `givenDate` - the given date to test

### setBeginsStringRule

    protected void setBeginsStringRule(java.lang.String field,
                                       java.lang.String sBeginsString)

  Sets the begins string rule. The field is checked to see if it begins with the specified string, case insensitive.

  Parameters:
    `field` - the field
    `sBeginsString` - the begins string to check

### unsetBeginsStringRule

    protected void unsetBeginsStringRule(java.lang.String field)

  Unsets the begins string rule.

  Parameters:
    `field` - the field

### setDateRule

    protected void setDateRule(java.lang.String field,
                               java.util.Date givenDate,
                               int index)

  Sets the date rule rule.

  Parameters:
    `field` - the field
    `givenDate` - the given date
    `index` - the date index

### getFilterRule

    protected com.compoze.domino.filter.IFilterRule getFilterRule()

### getFilterRule

    protected com.compoze.domino.filter.IFilterRule getFilterRule(boolean bIncludeForm)

### toRule

    public java.lang.String toRule()

### getFormRule

    protected abstract com.compoze.domino.filter.IFilterRule getFormRule()

  Gets the form rule for this filter.

  Returns:
    the form rule

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.